/*
 * Internal module API header file.
 *
 * Generated by SIP 4.19.24
 *
 * Copyright (c) 2020 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt5.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtWebSocketsAPI_H
#define _QtWebSocketsAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include <sip.h>

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_MacOSXOnly
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_NotBootstrapped
#define SIP_FEATURE_PyQt_Desktop_OpenGL
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_Py_v3
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_WS_X11
#define SIP_TIMELINE_Qt_5_15_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_0 0
#define sipName_0 &sipStrings_QtWebSockets[0]
#define sipNameNr_preSharedKeyAuthenticationRequired 35
#define sipName_preSharedKeyAuthenticationRequired &sipStrings_QtWebSockets[35]
#define sipNameNr_setMaxAllowedIncomingMessageSize 70
#define sipName_setMaxAllowedIncomingMessageSize &sipStrings_QtWebSockets[70]
#define sipNameNr_CloseCodeAbnormalDisconnection 103
#define sipName_CloseCodeAbnormalDisconnection &sipStrings_QtWebSockets[103]
#define sipNameNr_setMaxAllowedIncomingFrameSize 134
#define sipName_setMaxAllowedIncomingFrameSize &sipStrings_QtWebSockets[134]
#define sipNameNr_CloseCodeDatatypeNotSupported 165
#define sipName_CloseCodeDatatypeNotSupported &sipStrings_QtWebSockets[165]
#define sipNameNr_QWebSocketProtocol__CloseCode 195
#define sipName_QWebSocketProtocol__CloseCode &sipStrings_QtWebSockets[195]
#define sipNameNr_maxAllowedIncomingMessageSize 225
#define sipName_maxAllowedIncomingMessageSize &sipStrings_QtWebSockets[225]
#define sipNameNr_originAuthenticationRequired 255
#define sipName_originAuthenticationRequired &sipStrings_QtWebSockets[255]
#define sipNameNr_CloseCodeTlsHandshakeFailed 284
#define sipName_CloseCodeTlsHandshakeFailed &sipStrings_QtWebSockets[284]
#define sipNameNr_QWebSocketProtocol__Version 312
#define sipName_QWebSocketProtocol__Version &sipStrings_QtWebSockets[312]
#define sipNameNr_QWebSocketCorsAuthenticator 340
#define sipName_QWebSocketCorsAuthenticator &sipStrings_QtWebSockets[340]
#define sipNameNr_maxAllowedIncomingFrameSize 368
#define sipName_maxAllowedIncomingFrameSize &sipStrings_QtWebSockets[368]
#define sipNameNr_proxyAuthenticationRequired 396
#define sipName_proxyAuthenticationRequired &sipStrings_QtWebSockets[396]
#define sipNameNr_CloseCodeMissingStatusCode 424
#define sipName_CloseCodeMissingStatusCode &sipStrings_QtWebSockets[424]
#define sipNameNr_QWebSocketServer__SslMode 451
#define sipName_QWebSocketServer__SslMode &sipStrings_QtWebSockets[451]
#define sipNameNr_CloseCodeMissingExtension 477
#define sipName_CloseCodeMissingExtension &sipStrings_QtWebSockets[477]
#define sipNameNr_setMaxPendingConnections 503
#define sipName_setMaxPendingConnections &sipStrings_QtWebSockets[503]
#define sipNameNr_CloseCodePolicyViolated 528
#define sipName_CloseCodePolicyViolated &sipStrings_QtWebSockets[528]
#define sipNameNr_CloseCodeWrongDatatype 552
#define sipName_CloseCodeWrongDatatype &sipStrings_QtWebSockets[552]
#define sipNameNr_CloseCodeProtocolError 575
#define sipName_CloseCodeProtocolError &sipStrings_QtWebSockets[575]
#define sipNameNr_maxIncomingMessageSize 598
#define sipName_maxIncomingMessageSize &sipStrings_QtWebSockets[598]
#define sipNameNr_CloseCodeBadOperation 621
#define sipName_CloseCodeBadOperation &sipStrings_QtWebSockets[621]
#define sipNameNr_CloseCodeReserved1004 643
#define sipName_CloseCodeReserved1004 &sipStrings_QtWebSockets[643]
#define sipNameNr_binaryMessageReceived 665
#define sipName_binaryMessageReceived &sipStrings_QtWebSockets[665]
#define sipNameNr_nextPendingConnection 687
#define sipName_nextPendingConnection &sipStrings_QtWebSockets[687]
#define sipNameNr_maxPendingConnections 709
#define sipName_maxPendingConnections &sipStrings_QtWebSockets[709]
#define sipNameNr_hasPendingConnections 731
#define sipName_hasPendingConnections &sipStrings_QtWebSockets[731]
#define sipNameNr_CloseCodeTooMuchData 753
#define sipName_CloseCodeTooMuchData &sipStrings_QtWebSockets[753]
#define sipNameNr_maxOutgoingFrameSize 774
#define sipName_maxOutgoingFrameSize &sipStrings_QtWebSockets[774]
#define sipNameNr_setOutgoingFrameSize 795
#define sipName_setOutgoingFrameSize &sipStrings_QtWebSockets[795]
#define sipNameNr_maxIncomingFrameSize 816
#define sipName_maxIncomingFrameSize &sipStrings_QtWebSockets[816]
#define sipNameNr_setHandshakeTimeout 837
#define sipName_setHandshakeTimeout &sipStrings_QtWebSockets[837]
#define sipNameNr_setNativeDescriptor 857
#define sipName_setNativeDescriptor &sipStrings_QtWebSockets[857]
#define sipNameNr_textMessageReceived 877
#define sipName_textMessageReceived &sipStrings_QtWebSockets[877]
#define sipNameNr_binaryFrameReceived 897
#define sipName_binaryFrameReceived &sipStrings_QtWebSockets[897]
#define sipNameNr_setSslConfiguration 917
#define sipName_setSslConfiguration &sipStrings_QtWebSockets[917]
#define sipNameNr_setSocketDescriptor 937
#define sipName_setSocketDescriptor &sipStrings_QtWebSockets[937]
#define sipNameNr_readChannelFinished 957
#define sipName_readChannelFinished &sipStrings_QtWebSockets[957]
#define sipNameNr_handshakeTimeoutMS 977
#define sipName_handshakeTimeoutMS &sipStrings_QtWebSockets[977]
#define sipNameNr_CloseCodeGoingAway 996
#define sipName_CloseCodeGoingAway &sipStrings_QtWebSockets[996]
#define sipNameNr_QWebSocketProtocol 1015
#define sipName_QWebSocketProtocol &sipStrings_QtWebSockets[1015]
#define sipNameNr_PyQt5_QtWebSockets 1034
#define sipName_PyQt5_QtWebSockets &sipStrings_QtWebSockets[1034]
#define sipNameNr_supportedVersions 1053
#define sipName_supportedVersions &sipStrings_QtWebSockets[1053]
#define sipNameNr_outgoingFrameSize 1071
#define sipName_outgoingFrameSize &sipStrings_QtWebSockets[1071]
#define sipNameNr_textFrameReceived 1089
#define sipName_textFrameReceived &sipStrings_QtWebSockets[1089]
#define sipNameNr_sendBinaryMessage 1107
#define sipName_sendBinaryMessage &sipStrings_QtWebSockets[1107]
#define sipNameNr_setReadBufferSize 1125
#define sipName_setReadBufferSize &sipStrings_QtWebSockets[1125]
#define sipNameNr_sip_simplewrapper 1143
#define sipName_sip_simplewrapper &sipStrings_QtWebSockets[1143]
#define sipNameNr_nativeDescriptor 1161
#define sipName_nativeDescriptor &sipStrings_QtWebSockets[1161]
#define sipNameNr_handleConnection 1178
#define sipName_handleConnection &sipStrings_QtWebSockets[1178]
#define sipNameNr_QWebSocketServer 1195
#define sipName_QWebSocketServer &sipStrings_QtWebSockets[1195]
#define sipNameNr_setMaskGenerator 1212
#define sipName_setMaskGenerator &sipStrings_QtWebSockets[1212]
#define sipNameNr_sslConfiguration 1229
#define sipName_sslConfiguration &sipStrings_QtWebSockets[1229]
#define sipNameNr_socketDescriptor 1246
#define sipName_socketDescriptor &sipStrings_QtWebSockets[1246]
#define sipNameNr_disconnectNotify 1263
#define sipName_disconnectNotify &sipStrings_QtWebSockets[1263]
#define sipNameNr_CloseCodeNormal 1280
#define sipName_CloseCodeNormal &sipStrings_QtWebSockets[1280]
#define sipNameNr_sendTextMessage 1296
#define sipName_sendTextMessage &sipStrings_QtWebSockets[1296]
#define sipNameNr_resumeAccepting 1312
#define sipName_resumeAccepting &sipStrings_QtWebSockets[1312]
#define sipNameNr_peerVerifyError 1328
#define sipName_peerVerifyError &sipStrings_QtWebSockets[1328]
#define sipNameNr_ignoreSslErrors 1344
#define sipName_ignoreSslErrors &sipStrings_QtWebSockets[1344]
#define sipNameNr_VersionUnknown 1360
#define sipName_VersionUnknown &sipStrings_QtWebSockets[1360]
#define sipNameNr_QMaskGenerator 1375
#define sipName_QMaskGenerator &sipStrings_QtWebSockets[1375]
#define sipNameNr_pauseAccepting 1390
#define sipName_pauseAccepting &sipStrings_QtWebSockets[1390]
#define sipNameNr_readBufferSize 1405
#define sipName_readBufferSize &sipStrings_QtWebSockets[1405]
#define sipNameNr_NonSecureMode 1420
#define sipName_NonSecureMode &sipStrings_QtWebSockets[1420]
#define sipNameNr_VersionLatest 1434
#define sipName_VersionLatest &sipStrings_QtWebSockets[1434]
#define sipNameNr_maskGenerator 1448
#define sipName_maskGenerator &sipStrings_QtWebSockets[1448]
#define sipNameNr_serverAddress 1462
#define sipName_serverAddress &sipStrings_QtWebSockets[1462]
#define sipNameNr_setServerName 1476
#define sipName_setServerName &sipStrings_QtWebSockets[1476]
#define sipNameNr_newConnection 1490
#define sipName_newConnection &sipStrings_QtWebSockets[1490]
#define sipNameNr_connectNotify 1266
#define sipName_connectNotify &sipStrings_QtWebSockets[1266]
#define sipNameNr_resourceName 1504
#define sipName_resourceName &sipStrings_QtWebSockets[1504]
#define sipNameNr_setPauseMode 1517
#define sipName_setPauseMode &sipStrings_QtWebSockets[1517]
#define sipNameNr_disconnected 1530
#define sipName_disconnected &sipStrings_QtWebSockets[1530]
#define sipNameNr_localAddress 1543
#define sipName_localAddress &sipStrings_QtWebSockets[1543]
#define sipNameNr_aboutToClose 1556
#define sipName_aboutToClose &sipStrings_QtWebSockets[1556]
#define sipNameNr_bytesWritten 1569
#define sipName_bytesWritten &sipStrings_QtWebSockets[1569]
#define sipNameNr_bytesToWrite 1582
#define sipName_bytesToWrite &sipStrings_QtWebSockets[1582]
#define sipNameNr_stateChanged 1595
#define sipName_stateChanged &sipStrings_QtWebSockets[1595]
#define sipNameNr_closeReason 1608
#define sipName_closeReason &sipStrings_QtWebSockets[1608]
#define sipNameNr_acceptError 1620
#define sipName_acceptError &sipStrings_QtWebSockets[1620]
#define sipNameNr_serverError 1632
#define sipName_serverError &sipStrings_QtWebSockets[1632]
#define sipNameNr_isListening 1644
#define sipName_isListening &sipStrings_QtWebSockets[1644]
#define sipNameNr_peerAddress 1656
#define sipName_peerAddress &sipStrings_QtWebSockets[1656]
#define sipNameNr_customEvent 1668
#define sipName_customEvent &sipStrings_QtWebSockets[1668]
#define sipNameNr_eventFilter 1680
#define sipName_eventFilter &sipStrings_QtWebSockets[1680]
#define sipNameNr_errorString 1692
#define sipName_errorString &sipStrings_QtWebSockets[1692]
#define sipNameNr_secureMode 1704
#define sipName_secureMode &sipStrings_QtWebSockets[1704]
#define sipNameNr_SecureMode 1423
#define sipName_SecureMode &sipStrings_QtWebSockets[1423]
#define sipNameNr_setAllowed 1715
#define sipName_setAllowed &sipStrings_QtWebSockets[1715]
#define sipNameNr_QWebSocket 1726
#define sipName_QWebSocket &sipStrings_QtWebSockets[1726]
#define sipNameNr_serverPort 1737
#define sipName_serverPort &sipStrings_QtWebSockets[1737]
#define sipNameNr_requestUrl 1748
#define sipName_requestUrl &sipStrings_QtWebSockets[1748]
#define sipNameNr_serverName 1759
#define sipName_serverName &sipStrings_QtWebSockets[1759]
#define sipNameNr_childEvent 1770
#define sipName_childEvent &sipStrings_QtWebSockets[1770]
#define sipNameNr_timerEvent 1781
#define sipName_timerEvent &sipStrings_QtWebSockets[1781]
#define sipNameNr_serverUrl 1792
#define sipName_serverUrl &sipStrings_QtWebSockets[1792]
#define sipNameNr_CloseCode 215
#define sipName_CloseCode &sipStrings_QtWebSockets[215]
#define sipNameNr_Version13 1802
#define sipName_Version13 &sipStrings_QtWebSockets[1802]
#define sipNameNr_closeCode 1812
#define sipName_closeCode &sipStrings_QtWebSockets[1812]
#define sipNameNr_sslErrors 1822
#define sipName_sslErrors &sipStrings_QtWebSockets[1822]
#define sipNameNr_pauseMode 1832
#define sipName_pauseMode &sipStrings_QtWebSockets[1832]
#define sipNameNr_connected 1533
#define sipName_connected &sipStrings_QtWebSockets[1533]
#define sipNameNr_localPort 1842
#define sipName_localPort &sipStrings_QtWebSockets[1842]
#define sipNameNr_Version8 1852
#define sipName_Version8 &sipStrings_QtWebSockets[1852]
#define sipNameNr_Version7 1861
#define sipName_Version7 &sipStrings_QtWebSockets[1861]
#define sipNameNr_Version6 1870
#define sipName_Version6 &sipStrings_QtWebSockets[1870]
#define sipNameNr_Version5 1879
#define sipName_Version5 &sipStrings_QtWebSockets[1879]
#define sipNameNr_Version4 1888
#define sipName_Version4 &sipStrings_QtWebSockets[1888]
#define sipNameNr_Version0 1897
#define sipName_Version0 &sipStrings_QtWebSockets[1897]
#define sipNameNr_nextMask 1906
#define sipName_nextMask &sipStrings_QtWebSockets[1906]
#define sipNameNr_setProxy 1915
#define sipName_setProxy &sipStrings_QtWebSockets[1915]
#define sipNameNr_peerName 1924
#define sipName_peerName &sipStrings_QtWebSockets[1924]
#define sipNameNr_peerPort 1933
#define sipName_peerPort &sipStrings_QtWebSockets[1933]
#define sipNameNr_allowed 1942
#define sipName_allowed &sipStrings_QtWebSockets[1942]
#define sipNameNr_SslMode 469
#define sipName_SslMode &sipStrings_QtWebSockets[469]
#define sipNameNr_payload 1950
#define sipName_payload &sipStrings_QtWebSockets[1950]
#define sipNameNr_request 1958
#define sipName_request &sipStrings_QtWebSockets[1958]
#define sipNameNr_address 1966
#define sipName_address &sipStrings_QtWebSockets[1966]
#define sipNameNr_Version 332
#define sipName_Version &sipStrings_QtWebSockets[332]
#define sipNameNr_version 1974
#define sipName_version &sipStrings_QtWebSockets[1974]
#define sipNameNr_isValid 1982
#define sipName_isValid &sipStrings_QtWebSockets[1982]
#define sipNameNr_reason 1990
#define sipName_reason &sipStrings_QtWebSockets[1990]
#define sipNameNr_origin 1997
#define sipName_origin &sipStrings_QtWebSockets[1997]
#define sipNameNr_closed 2004
#define sipName_closed &sipStrings_QtWebSockets[2004]
#define sipNameNr_listen 2011
#define sipName_listen &sipStrings_QtWebSockets[2011]
#define sipNameNr_resume 2018
#define sipName_resume &sipStrings_QtWebSockets[2018]
#define sipNameNr_parent 2025
#define sipName_parent &sipStrings_QtWebSockets[2025]
#define sipNameNr_proxy 2032
#define sipName_proxy &sipStrings_QtWebSockets[2032]
#define sipNameNr_abort 2038
#define sipName_abort &sipStrings_QtWebSockets[2038]
#define sipNameNr_error 2044
#define sipName_error &sipStrings_QtWebSockets[2044]
#define sipNameNr_close 2050
#define sipName_close &sipStrings_QtWebSockets[2050]
#define sipNameNr_flush 2056
#define sipName_flush &sipStrings_QtWebSockets[2056]
#define sipNameNr_event 2062
#define sipName_event &sipStrings_QtWebSockets[2062]
#define sipNameNr_state 2068
#define sipName_state &sipStrings_QtWebSockets[2068]
#define sipNameNr_pong 2074
#define sipName_pong &sipStrings_QtWebSockets[2074]
#define sipNameNr_ping 2079
#define sipName_ping &sipStrings_QtWebSockets[2079]
#define sipNameNr_port 2084
#define sipName_port &sipStrings_QtWebSockets[2084]
#define sipNameNr_open 2089
#define sipName_open &sipStrings_QtWebSockets[2089]
#define sipNameNr_swap 2094
#define sipName_swap &sipStrings_QtWebSockets[2094]
#define sipNameNr_seed 2099
#define sipName_seed &sipStrings_QtWebSockets[2099]

#define sipMalloc                   sipAPI_QtWebSockets->api_malloc
#define sipFree                     sipAPI_QtWebSockets->api_free
#define sipBuildResult              sipAPI_QtWebSockets->api_build_result
#define sipCallMethod               sipAPI_QtWebSockets->api_call_method
#define sipCallProcedureMethod      sipAPI_QtWebSockets->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtWebSockets->api_call_error_handler
#define sipParseResultEx            sipAPI_QtWebSockets->api_parse_result_ex
#define sipParseResult              sipAPI_QtWebSockets->api_parse_result
#define sipParseArgs                sipAPI_QtWebSockets->api_parse_args
#define sipParseKwdArgs             sipAPI_QtWebSockets->api_parse_kwd_args
#define sipParsePair                sipAPI_QtWebSockets->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtWebSockets->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtWebSockets->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtWebSockets->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtWebSockets->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtWebSockets->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtWebSockets->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtWebSockets->api_add_exception
#define sipNoFunction               sipAPI_QtWebSockets->api_no_function
#define sipNoMethod                 sipAPI_QtWebSockets->api_no_method
#define sipAbstractMethod           sipAPI_QtWebSockets->api_abstract_method
#define sipBadClass                 sipAPI_QtWebSockets->api_bad_class
#define sipBadCatcherResult         sipAPI_QtWebSockets->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtWebSockets->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtWebSockets->api_bad_operator_arg
#define sipTrace                    sipAPI_QtWebSockets->api_trace
#define sipTransferBack             sipAPI_QtWebSockets->api_transfer_back
#define sipTransferTo               sipAPI_QtWebSockets->api_transfer_to
#define sipTransferBreak            sipAPI_QtWebSockets->api_transfer_break
#define sipSimpleWrapper_Type       sipAPI_QtWebSockets->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtWebSockets->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtWebSockets->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtWebSockets->api_voidptr_type
#define sipGetPyObject              sipAPI_QtWebSockets->api_get_pyobject
#define sipGetAddress               sipAPI_QtWebSockets->api_get_address
#define sipGetMixinAddress          sipAPI_QtWebSockets->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtWebSockets->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtWebSockets->api_get_complex_cpp_ptr
#define sipIsPyMethod               sipAPI_QtWebSockets->api_is_py_method
#define sipCallHook                 sipAPI_QtWebSockets->api_call_hook
#define sipEndThread                sipAPI_QtWebSockets->api_end_thread
#define sipConnectRx                sipAPI_QtWebSockets->api_connect_rx
#define sipDisconnectRx             sipAPI_QtWebSockets->api_disconnect_rx
#define sipRaiseUnknownException    sipAPI_QtWebSockets->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtWebSockets->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtWebSockets->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtWebSockets->api_add_type_instance
#define sipFreeSipslot              sipAPI_QtWebSockets->api_free_sipslot
#define sipSameSlot                 sipAPI_QtWebSockets->api_same_slot
#define sipPySlotExtend             sipAPI_QtWebSockets->api_pyslot_extend
#define sipConvertRx                sipAPI_QtWebSockets->api_convert_rx
#define sipAddDelayedDtor           sipAPI_QtWebSockets->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtWebSockets->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtWebSockets->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtWebSockets->api_force_convert_to_type
#define sipCanConvertToEnum         sipAPI_QtWebSockets->api_can_convert_to_enum
#define sipConvertToEnum            sipAPI_QtWebSockets->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtWebSockets->api_convert_to_bool
#define sipReleaseType              sipAPI_QtWebSockets->api_release_type
#define sipConvertFromType          sipAPI_QtWebSockets->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtWebSockets->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtWebSockets->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtWebSockets->api_convert_from_enum
#define sipGetState                 sipAPI_QtWebSockets->api_get_state
#define sipExportSymbol             sipAPI_QtWebSockets->api_export_symbol
#define sipImportSymbol             sipAPI_QtWebSockets->api_import_symbol
#define sipFindType                 sipAPI_QtWebSockets->api_find_type
#define sipFindNamedEnum            sipAPI_QtWebSockets->api_find_named_enum
#define sipBytes_AsChar             sipAPI_QtWebSockets->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtWebSockets->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtWebSockets->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtWebSockets->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtWebSockets->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtWebSockets->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtWebSockets->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtWebSockets->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtWebSockets->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtWebSockets->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtWebSockets->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtWebSockets->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtWebSockets->api_convert_from_const_void_ptr_and_size
#define sipInvokeSlot               sipAPI_QtWebSockets->api_invoke_slot
#define sipInvokeSlotEx             sipAPI_QtWebSockets->api_invoke_slot_ex
#define sipSaveSlot                 sipAPI_QtWebSockets->api_save_slot
#define sipClearAnySlotReference    sipAPI_QtWebSockets->api_clear_any_slot_reference
#define sipVisitSlot                sipAPI_QtWebSockets->api_visit_slot
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtWebSockets->api_deprecated
#define sipGetReference             sipAPI_QtWebSockets->api_get_reference
#define sipKeepReference            sipAPI_QtWebSockets->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtWebSockets->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtWebSockets->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtWebSockets->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtWebSockets->api_type_scope
#define sipResolveTypedef           sipAPI_QtWebSockets->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtWebSockets->api_register_attribute_getter
#define sipIsAPIEnabled             sipAPI_QtWebSockets->api_is_api_enabled
#define sipSetDestroyOnExit         sipAPI_QtWebSockets->api_set_destroy_on_exit
#define sipEnableAutoconversion     sipAPI_QtWebSockets->api_enable_autoconversion
#define sipEnableOverflowChecking   sipAPI_QtWebSockets->api_enable_overflow_checking
#define sipInitMixin                sipAPI_QtWebSockets->api_init_mixin
#define sipExportModule             sipAPI_QtWebSockets->api_export_module
#define sipInitModule               sipAPI_QtWebSockets->api_init_module
#define sipGetInterpreter           sipAPI_QtWebSockets->api_get_interpreter
#define sipSetNewUserTypeHandler    sipAPI_QtWebSockets->api_set_new_user_type_handler
#define sipSetTypeUserData          sipAPI_QtWebSockets->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtWebSockets->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtWebSockets->api_py_type_dict
#define sipPyTypeName               sipAPI_QtWebSockets->api_py_type_name
#define sipGetCFunction             sipAPI_QtWebSockets->api_get_c_function
#define sipGetMethod                sipAPI_QtWebSockets->api_get_method
#define sipFromMethod               sipAPI_QtWebSockets->api_from_method
#define sipGetDate                  sipAPI_QtWebSockets->api_get_date
#define sipFromDate                 sipAPI_QtWebSockets->api_from_date
#define sipGetDateTime              sipAPI_QtWebSockets->api_get_datetime
#define sipFromDateTime             sipAPI_QtWebSockets->api_from_datetime
#define sipGetTime                  sipAPI_QtWebSockets->api_get_time
#define sipFromTime                 sipAPI_QtWebSockets->api_from_time
#define sipIsUserType               sipAPI_QtWebSockets->api_is_user_type
#define sipGetFrame                 sipAPI_QtWebSockets->api_get_frame
#define sipCheckPluginForType       sipAPI_QtWebSockets->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtWebSockets->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtWebSockets->api_unicode_write
#define sipUnicodeData              sipAPI_QtWebSockets->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtWebSockets->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtWebSockets->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtWebSockets->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtWebSockets->api_is_derived_class
#define sipGetUserObject            sipAPI_QtWebSockets->api_get_user_object
#define sipSetUserObject            sipAPI_QtWebSockets->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtWebSockets->api_register_event_handler
#define sipLong_AsChar              sipAPI_QtWebSockets->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtWebSockets->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtWebSockets->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtWebSockets->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtWebSockets->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtWebSockets->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtWebSockets->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtWebSockets->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtWebSockets->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtWebSockets->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtWebSockets->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtWebSockets->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtWebSockets->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtWebSockets->api_register_exit_notifier

/* These are deprecated. */
#define sipMapStringToClass         sipAPI_QtWebSockets->api_map_string_to_class
#define sipMapIntToClass            sipAPI_QtWebSockets->api_map_int_to_class
#define sipFindClass                sipAPI_QtWebSockets->api_find_class
#define sipFindMappedType           sipAPI_QtWebSockets->api_find_mapped_type
#define sipConvertToArray           sipAPI_QtWebSockets->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtWebSockets->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtWebSockets->api_enable_gc
#define sipPrintObject              sipAPI_QtWebSockets->api_print_object
#define sipWrapper_Check(w)         PyObject_TypeCheck((w), sipAPI_QtWebSockets->api_wrapper_type)
#define sipGetWrapper(p, wt)        sipGetPyObject((p), (wt)->wt_td)
#define sipReleaseInstance(p, wt, s)    sipReleaseType((p), (wt)->wt_td, (s))
#define sipReleaseMappedType        sipReleaseType
#define sipCanConvertToInstance(o, wt, f)   sipCanConvertToType((o), (wt)->wt_td, (f))
#define sipCanConvertToMappedType   sipCanConvertToType
#define sipConvertToInstance(o, wt, t, f, s, e)     sipConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipConvertToMappedType      sipConvertToType
#define sipForceConvertToInstance(o, wt, t, f, s, e)    sipForceConvertToType((o), (wt)->wt_td, (t), (f), (s), (e))
#define sipForceConvertToMappedType sipForceConvertToType
#define sipConvertFromInstance(p, wt, t)    sipConvertFromType((p), (wt)->wt_td, (t))
#define sipConvertFromMappedType    sipConvertFromType
#define sipConvertFromNamedEnum(v, pt)  sipConvertFromEnum((v), ((sipEnumTypeObject *)(pt))->type)
#define sipConvertFromNewInstance(p, wt, t) sipConvertFromNewType((p), (wt)->wt_td, (t))

/* The strings used by this module. */
extern const char sipStrings_QtWebSockets[];

#define sipType_QMaskGenerator sipExportedTypes_QtWebSockets[1]
#define sipClass_QMaskGenerator sipExportedTypes_QtWebSockets[1]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebSockets_QMaskGenerator;

#define sipType_QWebSocket sipExportedTypes_QtWebSockets[2]
#define sipClass_QWebSocket sipExportedTypes_QtWebSockets[2]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebSockets_QWebSocket;

#define sipType_QWebSocketCorsAuthenticator sipExportedTypes_QtWebSockets[3]
#define sipClass_QWebSocketCorsAuthenticator sipExportedTypes_QtWebSockets[3]->u.td_wrapper_type

extern sipClassTypeDef sipTypeDef_QtWebSockets_QWebSocketCorsAuthenticator;

#define sipType_QWebSocketProtocol sipExportedTypes_QtWebSockets[4]
#define sipClass_QWebSocketProtocol sipExportedTypes_QtWebSockets[4]->u.td_wrapper_type

#define sipType_QWebSocketProtocol_CloseCode sipExportedTypes_QtWebSockets[5]
#define sipEnum_QWebSocketProtocol_CloseCode sipExportedTypes_QtWebSockets[5]->u.td_py_type

#define sipType_QWebSocketProtocol_Version sipExportedTypes_QtWebSockets[6]
#define sipEnum_QWebSocketProtocol_Version sipExportedTypes_QtWebSockets[6]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebSockets_QWebSocketProtocol;

#define sipType_QWebSocketServer sipExportedTypes_QtWebSockets[7]
#define sipClass_QWebSocketServer sipExportedTypes_QtWebSockets[7]->u.td_wrapper_type

#define sipType_QWebSocketServer_SslMode sipExportedTypes_QtWebSockets[8]
#define sipEnum_QWebSocketServer_SslMode sipExportedTypes_QtWebSockets[8]->u.td_py_type

extern sipClassTypeDef sipTypeDef_QtWebSockets_QWebSocketServer;

#define sipType_QList_0100QWebSocketProtocol_Version sipExportedTypes_QtWebSockets[0]

extern sipMappedTypeDef sipTypeDef_QtWebSockets_QList_0100QWebSocketProtocol_Version;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtWebSockets;
extern sipExportedModuleDef sipModuleAPI_QtWebSockets;
extern sipTypeDef *sipExportedTypes_QtWebSockets[];

#define sipType_QObject sipImportedTypes_QtWebSockets_QtCore[4].it_td
#define sipClass_QObject sipImportedTypes_QtWebSockets_QtCore[4].it_td->u.td_wrapper_type

#define sipType_QByteArray sipImportedTypes_QtWebSockets_QtCore[0].it_td
#define sipClass_QByteArray sipImportedTypes_QtWebSockets_QtCore[0].it_td->u.td_wrapper_type

#define sipType_QEvent sipImportedTypes_QtWebSockets_QtCore[2].it_td
#define sipClass_QEvent sipImportedTypes_QtWebSockets_QtCore[2].it_td->u.td_wrapper_type

#define sipType_QTimerEvent sipImportedTypes_QtWebSockets_QtCore[6].it_td
#define sipClass_QTimerEvent sipImportedTypes_QtWebSockets_QtCore[6].it_td->u.td_wrapper_type

#define sipType_QChildEvent sipImportedTypes_QtWebSockets_QtCore[1].it_td
#define sipClass_QChildEvent sipImportedTypes_QtWebSockets_QtCore[1].it_td->u.td_wrapper_type

#define sipType_QMetaMethod sipImportedTypes_QtWebSockets_QtCore[3].it_td
#define sipClass_QMetaMethod sipImportedTypes_QtWebSockets_QtCore[3].it_td->u.td_wrapper_type

#define sipType_QUrl sipImportedTypes_QtWebSockets_QtCore[7].it_td
#define sipClass_QUrl sipImportedTypes_QtWebSockets_QtCore[7].it_td->u.td_wrapper_type

#define sipType_QString sipImportedTypes_QtWebSockets_QtCore[5].it_td

#define sipType_qintptr sipImportedTypes_QtWebSockets_QtCore[8].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebSockets_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtWebSockets_QtCore[];

#define sipType_QAbstractSocket_SocketState sipImportedTypes_QtWebSockets_QtNetwork[2].it_td
#define sipEnum_QAbstractSocket_SocketState sipImportedTypes_QtWebSockets_QtNetwork[2].it_td->u.td_py_type

#define sipType_QAbstractSocket_SocketError sipImportedTypes_QtWebSockets_QtNetwork[1].it_td
#define sipEnum_QAbstractSocket_SocketError sipImportedTypes_QtWebSockets_QtNetwork[1].it_td->u.td_py_type

#define sipType_QAbstractSocket_PauseModes sipImportedTypes_QtWebSockets_QtNetwork[0].it_td
#define sipClass_QAbstractSocket_PauseModes sipImportedTypes_QtWebSockets_QtNetwork[0].it_td->u.td_wrapper_type

#define sipType_QAuthenticator sipImportedTypes_QtWebSockets_QtNetwork[3].it_td
#define sipClass_QAuthenticator sipImportedTypes_QtWebSockets_QtNetwork[3].it_td->u.td_wrapper_type

#define sipType_QHostAddress sipImportedTypes_QtWebSockets_QtNetwork[4].it_td
#define sipClass_QHostAddress sipImportedTypes_QtWebSockets_QtNetwork[4].it_td->u.td_wrapper_type

#define sipType_QNetworkProxy sipImportedTypes_QtWebSockets_QtNetwork[6].it_td
#define sipClass_QNetworkProxy sipImportedTypes_QtWebSockets_QtNetwork[6].it_td->u.td_wrapper_type

#define sipType_QNetworkRequest sipImportedTypes_QtWebSockets_QtNetwork[7].it_td
#define sipClass_QNetworkRequest sipImportedTypes_QtWebSockets_QtNetwork[7].it_td->u.td_wrapper_type

#define sipType_QSslConfiguration sipImportedTypes_QtWebSockets_QtNetwork[8].it_td
#define sipClass_QSslConfiguration sipImportedTypes_QtWebSockets_QtNetwork[8].it_td->u.td_wrapper_type

#define sipType_QSslError sipImportedTypes_QtWebSockets_QtNetwork[9].it_td
#define sipClass_QSslError sipImportedTypes_QtWebSockets_QtNetwork[9].it_td->u.td_wrapper_type

#define sipType_QSslPreSharedKeyAuthenticator sipImportedTypes_QtWebSockets_QtNetwork[10].it_td
#define sipClass_QSslPreSharedKeyAuthenticator sipImportedTypes_QtWebSockets_QtNetwork[10].it_td->u.td_wrapper_type

#define sipType_QTcpSocket sipImportedTypes_QtWebSockets_QtNetwork[11].it_td
#define sipClass_QTcpSocket sipImportedTypes_QtWebSockets_QtNetwork[11].it_td->u.td_wrapper_type

#define sipType_QList_0100QSslError sipImportedTypes_QtWebSockets_QtNetwork[5].it_td
extern sipImportedTypeDef sipImportedTypes_QtWebSockets_QtNetwork[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtWebSockets_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtWebSockets_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtWebSockets_qt_metacast;

#endif
